Package org.apache.synapse.transport.passthru

# Enum WorkerState

java.lang.Object
java.lang.Enum<WorkerState>
org.apache.synapse.transport.passthru.WorkerState

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkerState>`, `java.lang.constant.Constable`

public enum WorkerState extends Enum<WorkerState>
State of workers in pass-through transport.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED`
  Worker is marked for execution waiting for thread
  `FINISHED`
  Worker completed the job and is marked for termination
  `RUNNING`
  Worker is executing

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkerState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WorkerState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATED

    public static final WorkerState CREATED
    Worker is marked for execution waiting for thread

  - ### RUNNING

    public static final WorkerState RUNNING
    Worker is executing

  - ### FINISHED

    public static final WorkerState FINISHED
    Worker completed the job and is marked for termination

- ## Method Details

  - ### values

    public static WorkerState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WorkerState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null